% e-Q chart for the null geodesics
e = 0:.0167:1.2;        % variable for Q_null
Q_null = 27*e;          % solution for f(e, Q) = 0, where d = 0
plot(e, Q_null, e, a2e, 'k', 'LineWidth', 2)
axis([0 1.2 -12 32])
text(1, 22, 'Q = 27eM^2')
text(0.4, 26, 'd > 0')
text(0.8, 1, 'd < 0')
text(0.8, -10, 'Q = -a^2e')
set(findobj('Type', 'text'), 'FontAngle', 'italic', ...
    'FontName', 'TIMES', 'FontWeight', 'bold')
title('{\it e-Q} chart for the null geodesics', ...
    'FontWeight', 'bold', 'FontSize', 15, 'FontName', ...
    'TIMES')
xlabel('e', 'FontAngle', 'italic')
ylabel('Q', 'Rotation', 0, 'FontAngle', 'italic')
set(gca, 'Box', 'off')